Index: src/librt/primitives/nmg/nmg_tri.c
===================================================================
--- src/librt/primitives/nmg/nmg_tri.c	(revision 54086)
+++ src/librt/primitives/nmg/nmg_tri.c	(working copy)
@@ -2871,9 +2871,9 @@
 		 * bomb so problem can be investigated.
 		 */
 
-		if (((NEAR_ZERO(dist[0], SMALL_FASTF) && NEAR_ZERO(dist[1], SMALL_FASTF))
+		if (((ZERO(dist[0]) && ZERO(dist[1]))
 		    != (vu2->v_p == eu->vu_p->v_p)) ||
-		    ((NEAR_EQUAL(dist[0], 1.0, SMALL_FASTF) && NEAR_ZERO(dist[1], SMALL_FASTF))
+		    ((EQUAL(dist[0], 1.0) && ZERO(dist[1]))
 		    != (vu1->v_p == eu->vu_p->v_p))) {
 		    bu_bomb("nmg_isect_lseg3_eu(): logic error possibly in 'bn_isect_lseg3_lseg3'\n");
 		}
@@ -2887,10 +2887,10 @@
 		 * know of these intersections, we are testing
 		 * everywhere else for intersections.
 		 */
-		if ((NEAR_ZERO(dist[0], SMALL_FASTF) && NEAR_ZERO(dist[1], SMALL_FASTF)) ||
-		    (NEAR_EQUAL(dist[0], 1.0, SMALL_FASTF) && NEAR_ZERO(dist[1], SMALL_FASTF)) ||
-		    (NEAR_ZERO(dist[0], SMALL_FASTF) && NEAR_EQUAL(dist[1], 1.0, SMALL_FASTF)) ||
-		    (NEAR_EQUAL(dist[0], 1.0, SMALL_FASTF) && NEAR_EQUAL(dist[1], 1.0, SMALL_FASTF))) {
+		if ((ZERO(dist[0]) && ZERO(dist[1])) ||
+		    (EQUAL(dist[0], 1.0) && ZERO(dist[1])) ||
+		    (ZERO(dist[0]) && EQUAL(dist[1], 1.0)) ||
+		    (EQUAL(dist[0], 1.0) && EQUAL(dist[1], 1.0))) {
 		} else {
 		    /* Set hit true so elsewhere logic can skip this
 		     * pot-cut and try the next one.
Index: src/librt/primitives/bot/bot.c
===================================================================
--- src/librt/primitives/bot/bot.c	(revision 54086)
+++ src/librt/primitives/bot/bot.c	(working copy)
@@ -205,15 +205,15 @@
     }
 
     /* Prevent the RPP from being 0 thickness */
-    if (NEAR_EQUAL((*min)[X], (*max)[X], SMALL_FASTF)) {
+    if (EQUAL((*min)[X], (*max)[X])) {
 	(*min)[X] -= SMALL_FASTF;
 	(*max)[X] += SMALL_FASTF;
     }
-    if (NEAR_EQUAL((*min)[Y], (*max)[Y], SMALL_FASTF)) {
+    if (EQUAL((*min)[Y], (*max)[Y])) {
 	(*min)[Y] -= SMALL_FASTF;
 	(*max)[Y] += SMALL_FASTF;
     }
-    if (NEAR_EQUAL((*min)[Z], (*max)[Z], SMALL_FASTF)) {
+    if (EQUAL((*min)[Z], (*max)[Z])) {
 	(*min)[Z] -= SMALL_FASTF;
 	(*max)[Z] += SMALL_FASTF;
     }
Index: src/librt/primitives/bspline/bspline.cpp
===================================================================
--- src/librt/primitives/bspline/bspline.cpp	(revision 54086)
+++ src/librt/primitives/bspline/bspline.cpp	(working copy)
@@ -156,15 +156,15 @@
 	nurbs = n;
     }
     /* zero thickness will get missed by the raytracer */
-    if (NEAR_EQUAL((*min)[X], (*max)[X], SMALL_FASTF)) {
+    if (EQUAL((*min)[X], (*max)[X])) {
 	(*min)[X] -= SMALL_FASTF;
 	(*max)[X] += SMALL_FASTF;
     }
-    if (NEAR_EQUAL((*min)[Y], (*max)[Y], SMALL_FASTF)) {
+    if (EQUAL((*min)[Y], (*max)[Y])) {
 	(*min)[Y] -= SMALL_FASTF;
 	(*max)[Y] += SMALL_FASTF;
     }
-    if (NEAR_EQUAL((*min)[Z], (*max)[Z], SMALL_FASTF)) {
+    if (EQUAL((*min)[Z], (*max)[Z])) {
 	(*min)[Z] -= SMALL_FASTF;
 	(*max)[Z] += SMALL_FASTF;
     }
Index: src/librt/bbox.c
===================================================================
--- src/librt/bbox.c	(revision 54086)
+++ src/librt/bbox.c	(working copy)
@@ -468,12 +468,12 @@
     VMOVE(rpp_max, tree_max);
 
     /* Check if the model bounds look correct e.g. if they are all 0, then its not correct */
-    if ((NEAR_ZERO(rpp_min[0], SMALL_FASTF) || rpp_min[0] <= -INFINITY || rpp_min[0] >= INFINITY) &&
-	(NEAR_ZERO(rpp_min[1], SMALL_FASTF) || rpp_min[1] <= -INFINITY || rpp_min[1] >= INFINITY) &&
-	(NEAR_ZERO(rpp_min[2], SMALL_FASTF) || rpp_min[2] <= -INFINITY || rpp_min[2] >= INFINITY) &&
-	(NEAR_ZERO(rpp_max[0], SMALL_FASTF) || rpp_max[0] <= -INFINITY || rpp_max[0] >= INFINITY) &&
-	(NEAR_ZERO(rpp_max[1], SMALL_FASTF) || rpp_max[1] <= -INFINITY || rpp_max[1] >= INFINITY) &&
-	(NEAR_ZERO(rpp_max[2], SMALL_FASTF) || rpp_max[2] <= -INFINITY || rpp_max[2] >= INFINITY)
+    if ((ZERO(rpp_min[0]) || rpp_min[0] <= -INFINITY || rpp_min[0] >= INFINITY) &&
+	(ZERO(rpp_min[1]) || rpp_min[1] <= -INFINITY || rpp_min[1] >= INFINITY) &&
+	(ZERO(rpp_min[2]) || rpp_min[2] <= -INFINITY || rpp_min[2] >= INFINITY) &&
+	(ZERO(rpp_max[0]) || rpp_max[0] <= -INFINITY || rpp_max[0] >= INFINITY) &&
+	(ZERO(rpp_max[1]) || rpp_max[1] <= -INFINITY || rpp_max[1] >= INFINITY) &&
+	(ZERO(rpp_max[2]) || rpp_max[2] <= -INFINITY || rpp_max[2] >= INFINITY)
 	) {
 	bu_log("rt_bound_internal: Warning : The returned bounds of the model may not be correct\n");
     }
Index: src/libnurbs/opennurbs_fit.cpp
===================================================================
--- src/libnurbs/opennurbs_fit.cpp	(revision 54086)
+++ src/libnurbs/opennurbs_fit.cpp	(working copy)
@@ -152,7 +152,7 @@
       dist2cp = d2;
     }
 
-    if (NEAR_ZERO(d2, SMALL_FASTF))
+    if (ZERO(d2))
       return i;
 
     v.Unitize();
@@ -589,7 +589,7 @@
   for (int E = idx_min + 1; E <= idx_max; E++)
   {
 
-    if (!NEAR_EQUAL(knots[E], knots[E - 1], SMALL_FASTF)) // do not count double knots
+    if (!EQUAL(knots[E], knots[E - 1])) // do not count double knots
       result.push_back (knots[E]);
 
   }
Index: src/libged/polyclip.cpp
===================================================================
--- src/libged/polyclip.cpp	(revision 54086)
+++ src/libged/polyclip.cpp	(working copy)
@@ -479,7 +479,7 @@
     ClipperLib::Polygon poly;
     fastf_t area = 0.0;
 
-    if (NEAR_ZERO(sf, SMALL_FASTF))
+    if (ZERO(sf))
 	return 0.0;
 
     for (j = 0; j < gpoly->gp_num_contours; ++j) {
Index: src/mged/cad_boundp.c
===================================================================
--- src/mged/cad_boundp.c	(revision 54086)
+++ src/mged/cad_boundp.c	(working copy)
@@ -426,8 +426,8 @@
 
 	    /* Note: it would be possible to save some calls
 	       to atan2 by being clever about quadrants.  */
-	    if (NEAR_EQUAL(endp->xy.y, currentp->xy.y, SMALL_FASTF)
-		&& NEAR_EQUAL(endp->xy.x, currentp->xy.x, SMALL_FASTF))
+	    if (EQUAL(endp->xy.y, currentp->xy.y)
+		&& EQUAL(endp->xy.x, currentp->xy.x))
 	    {
 		to = 0.0;	/* not supposed to happen */
 	    } else {
Index: src/libbn/tri_tri.c
===================================================================
--- src/libbn/tri_tri.c	(revision 54086)
+++ src/libbn/tri_tri.c	(working copy)
@@ -298,12 +298,12 @@
 	} else if (D0D2>0.0f) { \
 	    /* here we know that d0d1<=0.0 */ \
 	    A=VV1; B=(VV0-VV1)*D1; C=(VV2-VV1)*D1; X0=D1-D0; X1=D1-D2; \
-	} else if (D1*D2>0.0f || !NEAR_ZERO(D0, SMALL_FASTF)) { \
+	} else if (D1*D2>0.0f || !ZERO(D0)) { \
 	    /* here we know that d0d1<=0.0 or that D0!=0.0 */ \
 	    A=VV0; B=(VV1-VV0)*D0; C=(VV2-VV0)*D0; X0=D0-D1; X1=D0-D2; \
-	} else if (!NEAR_ZERO(D1, SMALL_FASTF)) { \
+	} else if (!ZERO(D1)) { \
 	    A=VV1; B=(VV0-VV1)*D1; C=(VV2-VV1)*D1; X0=D1-D0; X1=D1-D2; \
-	} else if (!NEAR_ZERO(D2, SMALL_FASTF)) { \
+	} else if (!ZERO(D2)) { \
 	    A=VV2; B=(VV0-VV2)*D2; C=(VV1-VV2)*D2; X0=D2-D0; X1=D2-D1; \
 	} else { \
 	    /* triangles are coplanar */ \
@@ -457,12 +457,12 @@
     } else if (D0D2>0.0f) {
 	/* here we know that d0d1<=0.0 */
 	calc_isect2(VERT1, VERT0, VERT2, VV1, VV0, VV2, D1, D0, D2, isect0, isect1, isectpoint0, isectpoint1);
-    } else if (D1*D2>0.0f || !NEAR_ZERO(D0, SMALL_FASTF)) {
+    } else if (D1*D2>0.0f || !ZERO(D0)) {
 	/* here we know that d0d1<=0.0 or that D0!=0.0 */
 	calc_isect2(VERT0, VERT1, VERT2, VV0, VV1, VV2, D0, D1, D2, isect0, isect1, isectpoint0, isectpoint1);
-    } else if (!NEAR_ZERO(D1, SMALL_FASTF)) {
+    } else if (!ZERO(D1)) {
 	calc_isect2(VERT1, VERT0, VERT2, VV1, VV0, VV2, D1, D0, D2, isect0, isect1, isectpoint0, isectpoint1);
-    } else if (!NEAR_ZERO(D2, SMALL_FASTF)) {
+    } else if (!ZERO(D2)) {
 	calc_isect2(VERT2, VERT0, VERT1, VV2, VV0, VV1, D2, D0, D1, isect0, isect1, isectpoint0, isectpoint1);
     } else {
 	/* triangles are coplanar */
Index: src/libbu/color.c
===================================================================
--- src/libbu/color.c	(revision 54086)
+++ src/libbu/color.c	(working copy)
@@ -94,7 +94,7 @@
     /*
      * Compute hue
      */
-    if (NEAR_ZERO(*sat, SMALL_FASTF)) {
+    if (ZERO(*sat)) {
 	*hue = ACHROMATIC;
     } else {
 	if (NEAR_ZERO(red - max, SMALL_FASTF)) /* red == max */
@@ -137,7 +137,7 @@
     }
 
     /* so hue == ACHROMATIC (or is ignored)	*/
-    if (NEAR_ZERO(sat, SMALL_FASTF)) {
+    if (ZERO(sat)) {
 	VSETALL(float_rgb, val);
     } else {
 	if (NEAR_ZERO(hue - 360.0, SMALL_FASTF))
